<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
           elementFormDefault="qualified"
           xmlns="http://www.h3c.com/netconf/data:1.0"
           xmlns:base="http://www.h3c.com/netconf/base:1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  <xs:annotation>
    <xs:documentation>Portal data define</xs:documentation>
  </xs:annotation>

  <xs:complexType name="PORTAL_Name">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 32]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="32"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_URL">
    <xs:simpleContent>
      <xs:restriction base="base:URLString">
        <xs:annotation>
          <xs:documentation >String[1 ~ 256]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="256"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_WebSvrInterval">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="10"></xs:minInclusive>
        <xs:maxInclusive value ="1200"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_Retry">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="10"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_Action">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>1£ºlog 2£ºtrap 3: both</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="1" />
        <xs:enumeration value="2" />
        <xs:enumeration value="3" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_Status">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>0£ºup 1£ºdown</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_VRF">
    <xs:simpleContent>
      <xs:restriction base="base:VRF">
        <xs:annotation>
          <xs:documentation >String[1 ~ 31]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="31"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_TimeOut">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="10"></xs:minInclusive>
        <xs:maxInclusive value ="3600"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_MaxUser">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="4294967295"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_Port">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="65534"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_UserSyncTime">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="60"></xs:minInclusive>
        <xs:maxInclusive value ="18000"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_IPv4Method">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>0£ºdirect 1£ºLayer3 2: Redhcp</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
        <xs:enumeration value="2" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_IPv6Method">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>0£ºdirect 1£ºLayer3 </xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_IPPoolName">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 63]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="63"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_IPv4DetectType">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>0£ºarp 2: icmp</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="2" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_IPv6DetectType">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>1£ºnd 3: icmpv6</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="1" />
        <xs:enumeration value="3" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_UserDetectIdleTime">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="60"></xs:minInclusive>
        <xs:maxInclusive value ="3600"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_UserDetectInterval">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="1200"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_IPAddressMaskLen">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="0"></xs:minInclusive>
        <xs:maxInclusive value ="128"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_ProtocolType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>6£ºTCP 17£ºUDP</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="6" />
        <xs:enumeration value="17" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_FRPort">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="0"></xs:minInclusive>
        <xs:maxInclusive value ="65535"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_VLANID">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="4094"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_UserName">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 253]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="253"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_ParamType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>0£ºsource-address 1: source-mac 2:original-url 3:selfDefine</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
        <xs:enumeration value="2" />
        <xs:enumeration value="3" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_LocalWebSvrType">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>0£ºhttp 1£ºhttps </xs:documentation>
        </xs:annotation>
        <xs:enumeration value="0" />
        <xs:enumeration value="1" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_SSLName">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 31]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="31"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name ="PORTAL_PageFileName">
    <xs:annotation>
      <xs:documentation>string[1¡«91],'A-Z','a-z','0-9','_' are permitted</xs:documentation>
    </xs:annotation>
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:pattern value="^([a-zA-Z0-9]|[_]|[.]){0,}$"></xs:pattern>
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="91"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_PortRange">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="65535"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_STName">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 63]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="63"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
    <xs:complexType name="PORTAL_SSID">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 32]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="32"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_DeviceType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 127]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="127"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_LogonPageFile">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 91]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="91"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PORTAL_Key">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 64]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="64"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  
  <xs:element name="Portal">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="WebServers">
          <xs:annotation>
            <xs:documentation>WebServers table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="WebServer">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>portal name</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Url" type="PORTAL_URL" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>URL address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Detect" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Servers Detect</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Interval" type="PORTAL_WebSvrInterval" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Interval time</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Retry" type="PORTAL_Retry" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Retry times</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Action" type="PORTAL_Action" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>action</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" type="PORTAL_VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Specifies VRF instance name</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IPv4Status" type="PORTAL_Status" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPV4 Servers status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IPv6Status" type="PORTAL_Status" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPV6 Servers status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="PortalServers">
          <xs:annotation>
            <xs:documentation>PortalServers table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="PortalServer">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>portal name</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IPAddressInfo" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>IPAddressInfo</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="IPAddress" type="base:IpAddress" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IP/IPv6 Address</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="VRF" type="PORTAL_VRF" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Specifies VRF instance name</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Key" type="PORTAL_Key" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>shared key</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Port" type="PORTAL_Port" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Detect" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Servers Detect</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="TimeOut" type="PORTAL_TimeOut" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Detection timeout</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="Action" type="PORTAL_Action" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Action</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="UserSyncTime" type="PORTAL_UserSyncTime" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>User synchronization</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Status" type="PORTAL_Status" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>status</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="FreeRules">
          <xs:annotation>
            <xs:documentation>FreeRules table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="FreeRule">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="RuleID" type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>RuleID</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Layer3" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Layer3</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="SrcIPAddr" type="base:IpAddress" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Ip/Ipv6 Address</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="SrcIPAddrLen" type="PORTAL_IPAddressMaskLen" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Source IPAddrLen</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="SrcProtocolType" type="PORTAL_ProtocolType" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Source ProtocolType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="SrcPortStart" type="PORTAL_FRPort" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Source PortStart</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="SrcPortEnd" type="PORTAL_FRPort" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Source PortEnd</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DstIPAddr" type="base:IpAddress" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Ip/Ipv6 Address</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DstIPAddrLen" type="PORTAL_IPAddressMaskLen" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination IPAddrLen</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DstProtocolType" type="PORTAL_ProtocolType" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination ProtocolType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DstPortStart" type="PORTAL_FRPort" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination PortStart</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="DstPortEnd" type="PORTAL_FRPort" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Destination PortEnd</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Layer2" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Layer2</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="SrcIfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>SrcIPType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="SrcVlan" type="PORTAL_VLANID" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>SrcVlan</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="SrcMacAddr" type="base:MacAddress" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>SrcMacAddr</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="IPv4Interfaces">
          <xs:annotation>
            <xs:documentation>IPv4Interfaces table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="IPv4Interface">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="OnlineUserNum" type="base:UnsignedInteger64" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ipv4 if OnlineUserNum</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Method" type="PORTAL_IPv4Method" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 method: 0:direct, 1:layer3, 2:redhcp</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="WebServer" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>IPv4 interface WebServer Info</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="WebServerName" type="PORTAL_Name" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv4 interface WebServer Name</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="EscapeEnable" type="base:Boolean" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv4 interface WebServer EscapeEnable</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Domain" type="base:OctectString255" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 interface auth Domain</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MaxUser" type="PORTAL_MaxUser" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 interface max-user</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="BasIP" type="base:Ipv4Address" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 interface bas-ip</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="EscapeSvrName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 interface EscapeSvrName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PreAuthPoolName" type="PORTAL_IPPoolName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 interface PreAuthPoolName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserDetect" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>ipv4 if user Detect</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="UserDetectType" type="PORTAL_IPv4DetectType" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv4 if UserDetectType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectIdleTime" type="PORTAL_UserDetectIdleTime" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv4 if UserDetectIdleTime</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectInterval" type="PORTAL_UserDetectInterval" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectInterval</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectRetry" type="PORTAL_Retry" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectRetry</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="IPv6Interfaces">
          <xs:annotation>
            <xs:documentation>IPv6Interfaces table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="IPv6Interface">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="OnlineUserNum" type="base:UnsignedInteger64" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ipv6 if OnlineUserNum</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Method" type="PORTAL_IPv6Method" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 method: 0:direct, 1:layer3, 2:redhcp</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="WebServer" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>IPv6 interface WebServer Info</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="WebServerName" type="PORTAL_Name" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv6 interface WebServer Name</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="EscapeEnable" type="base:Boolean" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv6 interface WebServer EscapeEnable</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Domain" type="base:OctectString255" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 interface auth Domain</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MaxUser" type="PORTAL_MaxUser" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 interface max-user</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="BasIP" type="base:Ipv6Address" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 interface bas-ip</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="EscapeSvrName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 interface EscapeSvrName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PreAuthPoolName" type="PORTAL_IPPoolName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 interface PreAuthPoolName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserDetect" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>ipv6 if user Detect</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="UserDetectType" type="PORTAL_IPv6DetectType" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv6 if UserDetectType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectIdleTime" type="PORTAL_UserDetectIdleTime" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv6 if UserDetectIdleTime</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectInterval" type="PORTAL_UserDetectInterval" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectInterval</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectRetry" type="PORTAL_Retry" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectRetry</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="IPv4ServiceTemplates">
          <xs:annotation>
            <xs:documentation>IPv4ServiceTemplates table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="IPv4ServiceTemplate">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" type="PORTAL_STName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ServiceTemplate index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Method" type="PORTAL_IPv4Method" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 method: 0:direct, 1:layer3, 2:redhcp</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="WebServer" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>IPv4 ServiceTemplate WebServer Info</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="WebServerName" type="PORTAL_Name" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv4 ServiceTemplate WebServer Name</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="EscapeEnable" type="base:Boolean" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv4 ServiceTemplate WebServer EscapeEnable</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Domain" type="base:OctectString255" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 ServiceTemplate auth Domain</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MaxUser" type="PORTAL_MaxUser" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 ServiceTemplate max-user</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="BasIP" type="base:Ipv4Address" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 ServiceTemplate bas-ip</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="EscapeSvrName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 ServiceTemplate EscapeSvrName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PreAuthPoolName" type="PORTAL_IPPoolName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv4 ServiceTemplate PreAuthPoolName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserDetect" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>ipv4 ServiceTemplate user Detect</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="UserDetectType" type="PORTAL_IPv4DetectType" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv4 ServiceTemplate UserDetectType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectIdleTime" type="PORTAL_UserDetectIdleTime" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv4 ServiceTemplate UserDetectIdleTime</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectInterval" type="PORTAL_UserDetectInterval" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectInterval</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectRetry" type="PORTAL_Retry" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectRetry</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="IPv6ServiceTemplates">
          <xs:annotation>
            <xs:documentation>IPv6ServiceTemplates table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="IPv6ServiceTemplate">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="name" type="PORTAL_STName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ServiceTemplate index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Method" type="PORTAL_IPv6Method" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 method: 0:direct, 1:layer3</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="WebServer" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>IPv6 ServiceTemplate WebServer Info</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="WebServerName" type="PORTAL_Name" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv6 ServiceTemplate WebServer Name</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="EscapeEnable" type="base:Boolean" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>IPv6 ServiceTemplate WebServer EscapeEnable</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Domain" type="base:OctectString255" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 ServiceTemplate auth Domain</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MaxUser" type="PORTAL_MaxUser" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 ServiceTemplate max-user</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="BasIP" type="base:Ipv6Address" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 ServiceTemplate bas-ip</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="EscapeSvrName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 ServiceTemplate EscapeSvrName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="PreAuthPoolName" type="PORTAL_IPPoolName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IPv6 ServiceTemplate PreAuthPoolName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserDetect" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>ipv6 ServiceTemplate user Detect</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="UserDetectType" type="PORTAL_IPv6DetectType" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv6 ServiceTemplate UserDetectType</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectIdleTime" type="PORTAL_UserDetectIdleTime" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>ipv6 ServiceTemplate UserDetectIdleTime</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectInterval" type="PORTAL_UserDetectInterval" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectInterval</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                          <xs:element name="UserDetectRetry" type="PORTAL_Retry" minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>UserDetectRetry</xs:documentation>
                            </xs:annotation>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="UrlParams">
          <xs:annotation>
            <xs:documentation>Portal UrlParams table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="UrlParam">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="WebServerName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>portal name</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ParamName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>URL address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ParamType" type="PORTAL_ParamType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>URL address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="SelfDefValue" type="PORTAL_URL" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>URL address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="OnlineUsers">
          <xs:annotation>
            <xs:documentation>Portal OnlineUsers table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="OnlineUser">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IfIndex</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IPAddress" type="base:IpAddress" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>IP address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserName" type="PORTAL_UserName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>User Name</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="MacAddress" type="base:MacAddress" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MAC address</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VLAN" type="PORTAL_VLANID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VLANID</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VRF" type="base:VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ServerName" type="PORTAL_Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ServerName</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="LoginTime" type="base:DateTime" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LoginTime</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="OnlineDuration" type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>OnlineDuration</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="FlowStats" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>FlowStats</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                           <xs:element name="SendPktNum" type="base:UnsignedInteger64" minOccurs="0" nillable="true">
                              <xs:annotation>
                                <xs:documentation>SendPktNum</xs:documentation>
                              </xs:annotation>
                            </xs:element>
                            <xs:element name="SendByteNum" type="base:UnsignedInteger64" minOccurs="0" nillable="true">
                              <xs:annotation>
                                <xs:documentation>SendByteNum</xs:documentation>
                              </xs:annotation>
                            </xs:element>
                            <xs:element name="RecvPktNum" type="base:UnsignedInteger64" minOccurs="0" nillable="true">
                              <xs:annotation>
                                <xs:documentation>RecvPktNum</xs:documentation>
                              </xs:annotation>
                            </xs:element>
                            <xs:element name="RecvByteNum" type="base:UnsignedInteger64" minOccurs="0" nillable="true">
                              <xs:annotation>
                                <xs:documentation>RecvByteNum</xs:documentation>
                              </xs:annotation>
                            </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="LocalWebServers">
          <xs:annotation>
            <xs:documentation>LocalWebServers table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="LocalWebServer">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Type" type="PORTAL_LocalWebSvrType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LocalWebServer Type</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="SSLServerPolicy" type="PORTAL_SSLName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>SSLServerPolicy</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="DefLogonPage" type="PORTAL_PageFileName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>DefLogonPage</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="TCPPort" type="PORTAL_PortRange" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>TCPPort</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="SelfDefPages">
          <xs:annotation>
            <xs:documentation>SelfDefPages table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="SelfDefPage">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Type" type="PORTAL_LocalWebSvrType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LocalWebServer Type</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ssid" type="PORTAL_SSID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ssid</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="DeviceType" type="PORTAL_DeviceType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>DeviceType</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="LogonPageFile" type="PORTAL_LogonPageFile" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LogonPageFile</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="SelfDefSsidPages">
          <xs:annotation>
            <xs:documentation>SelfDefSsidPages table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="SelfDefSsidPage">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Type" type="PORTAL_LocalWebSvrType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LocalWebServer Type</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ssid" type="PORTAL_SSID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>ssid</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="LogonPageFile" type="PORTAL_LogonPageFile" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LogonPageFile</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="SelfDefDevTypePages">
          <xs:annotation>
            <xs:documentation>SelfDefDevTypePages table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="SelfDefDevTypePage">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Type" type="PORTAL_LocalWebSvrType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LocalWebServer Type</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="DeviceType" type="PORTAL_DeviceType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>DeviceType</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="LogonPageFile" type="PORTAL_LogonPageFile" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>LogonPageFile</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>